<div align="center">

# **Communex**

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Discord Chat](https://img.shields.io/badge/discord-join%20chat-blue.svg)](https://discord.com/invite/DgjvQXvhqf)

### Commune Alternative Library

</div>

## Why Communex

Communex serves as an alternative library to the original  
[Commune Ai](https://github.com/commune-ai/commune) codebase,
offering a streamlined and user-friendly experience. Designed for simplicity and scalable development. Its decentralized approach underlines the versatile and adaptive nature of the Commune framework, catering to a broad range of machine learning and blockchain applications.

![Example](https://drive.google.com/uc?export=view&id=1XrbmL1JsqVkD5WEc0ltF2af10A8cHMp-)

# What Is Commune?

Commune is a censorship-resistant peer to peer protocol and Stake-based market system of Modules. A Module is a onchain identifier residing in a global namespace wrapped around a offchain object, which can be anything that is computable behind an endpoint, from AI models, datasets, storage, scrapers to simply raw compute. Anything that can be turned into an API. This separates all computation from the chain and allows Modules to be arbitrarily complex and computationally expensive systems.

Modules are coordinated through a blockchain-based circular Stakeholder economic mechanism. Similar to Bittensor, Stake is mined by providing a subjective utility under demand by Stakeholders, such as inference to a model. Stakeholders can utilize any set of languages and computing systems to build validation and pricing methodologies applied from staked Modules to create incentive landscapes according to their needs, granting access to generalized incentive programming proportional to their Stake.

This allows for a versatile, parallel and highly specialized and cooperative economy of Modules to emerge, that is available to Stakeholders to build an application ecosystem and unified user-interfaces ontop. Modules are recursively composable and development pipelines can be build across them. Developers can flexibly integrate Modules into their stack, without asking permissions. All value exchange happens peer to peer without intermediaries, free for anyone to participate with profits flowing directly to producers. Without any single entity gating access or controlling the direction of the protocol.

# Under development...

## Installation

TODO

## Usage

TODO
